xEnrichChord | R Documentation

## Function to visualise enrichment results using a chord plot

### Description

`xEnrichChord` is supposed to visualise enrichment results using a chord plot. The thickness of links is proportional to the enrichment Z-scores. Particularly useful for multiple groups and/or ontologies. The left-half part sorted by the input groups (anti-clockwise), and the right-half part sorted first by the input ontologies and then by the number of links within an ontology (clockwise).

### Usage

    xEnrichChord(
    eTerm,
    top_num = 5,
    FDR.cutoff = 0.05,
    colormap.group = "ggplot2",
    colormap.ontology = NULL,
    wrap.width = NULL,
    text.size = 0.6,
    legend = NULL,
    vline = F,
    ...
    )

### Arguments

`eTerm` | an object of class "eTerm" or "ls_eTerm". Alterntively, it can be a data frame having all these columns (named as 'group','ontology','name','adjp','zscore')
`top_num` | the number of the top terms (sorted according to adjp). For the eTerm object, if it is 'auto' (for eTerm), only the significant terms (see below FDR.cutoff) will be displayed
`FDR.cutoff` | FDR cutoff used to declare the significant terms. By default, it is set to 0.05
`colormap.group` | short name for the group sector colormap
`colormap.ontology` | short name for the ontology sector colormap
`wrap.width` | a positive integer specifying wrap width of labellings
`text.size` | the text size of the labelings. By default, it is 0.6
`legend` | logical to indicate whether to show the legend. If NULL, automatically determined. For the group sector, the legends shown on the bottom-left corner. For the ontology sector, the legends shown on the bottom-right corner
`vline` | logical to indicate whether to vertically put a line seperating two symmetric parts of sectors
`...` | additional graphic parameters (such as big.gap=15, small.gap=1.5) used in circlize::chordDiagram

### Value

a data frame used for visualisation

### Note

none

### See Also

`xEnrichChord`

### Examples

    ## Not run:
    # Load the library
    library(XGR)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata/"

    xEnrichChord(eTerm)

    ## End(Not run)